Bug 912 - vzsplit ignores effective blocksize when calculating ds_pve (DISKSPACE)
vzsplit ignores effective blocksize when calculating ds_pve (DISKSPACE)
Status: CLOSED FIXED
Product: OpenVZ
Classification: Unclassified
Component: vzctl
zzz-2.6.24-ovz-obsoleted
All All
: P2 normal
Assigned To: Igor Sukhih
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-13 12:11 EDT by Thomas Werschlein
Modified: 2015-04-01 14:46 EDT (History)
1 user (show)

See Also:


Attachments
patch to honour actual blocksize (300 bytes, patch)
2008-06-13 12:11 EDT, Thomas Werschlein
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Werschlein 2008-06-13 12:11:51 EDT
Created attachment 652 [details]
patch to honour actual blocksize

vzsplit calculates the wrong DISKSPACE parameter for a VE if the blocksize of the underlying filesystem does not match (the recommended) 1024 bytes block size.

On many Linux distros the default block size for ext2/ext3 filesystems is 4096 bytes. If you stick to the default, the DISKSPACE parameter vzsplit issues is 4 times too small.

The attached patch fixes this in a quick and dirty way (assuming DISKSPACE is always measured in 1 Kb blocks in the vps.conf).
Comment 1 Kir Kolyshkin 2009-10-19 10:50:08 EDT
Thanks for the bug report and the fix!

Fixed in GIT:
http://git.openvz.org/?p=vzctl;a=commit;h=f61d42f522bdab3369397108a5dc351cf5421eb2

Will be available in vzctl >= 3.0.24
Comment 2 Sergey Bronnikov 2015-04-01 14:46:10 EDT
Bug was fixed more than one year ago and there were no complains from reporter after fix. We believe bug fix helped and mark bug as closed.